Skip to main content
`Ctrl`+`K`

# PetscDALETKFSetObsPerVertex

Sets the number of local observations per vertex for the LETKF algorithm.

## Synopsis

    PetscErrorCode PetscDALETKFSetObsPerVertex(PetscDA da, PetscInt n_obs_vertex)

Logically Collective

## Input Parameters

- da - the `PetscDA` context

- n_obs_vertex - number of observations per vertex

## See Also

PetscDA: Data Assimilation, `PETSCDALETKF`, `PetscDA`, `PetscDALETKFSetLocalization()`

## Level

advanced

## Location

src/ml/da/impls/ensemble/letkf/letkfilter.c

## Examples

src/ml/da/tutorials/ex2.c
src/ml/da/tutorials/ex3.c
src/ml/da/tutorials/ex4.c

## Implementations

PetscDALETKFSetObsPerVertex_LETKF() in src/ml/da/impls/ensemble/letkf/letkfilter.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages